@charset "UTF-8";
/*
  /rakurakucloud/businesscard/asset/css/layout/l-footer-nav.css
  フッターナビゲーション
  ※他の商材とは仕様が異なるため注意
*/

.l-footer-nav {
  border-top: 1px solid var(--white);
  padding: 30px 0;
  background-color: var(--gray-bg-02);
}
.l-footer-nav-logo {
  display: flex;
  padding: 0 0 20px;
  border-bottom: 1px solid var(--gray-bg-01);
  justify-content: space-between;
  @media screen and (max-width: 840px) {
    padding: 0 0 15px;
  }
}
.l-footer-nav-logo__link {
  width: 260px;
  @media screen and (max-width: 600px) {
    width: 170px;
  }
}
.l-footer-nav-title {
  font-size: 16px;
  font-weight: bold;
  margin: 20px 0 0;
  @media screen and (max-width: 840px) {
    font-size: 14px;
  }
}
.l-footer-nav-link-list {
  margin: 10px 0 0;
  display: grid;
  justify-content: flex-start;
  grid-template-columns: auto;
  grid-template-rows: repeat(5, auto);
  grid-auto-flow: column;
  gap: 10px 25px;
  @media screen and (max-width: 840px) {
    width: 100%;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    grid-auto-flow: row;
    gap: 8px;
  }
}
.l-footer-nav-link-item__link {
  display: block;
  position: relative;
  padding: 0 0 0 15px;
  font-size: 14px;
  color: var(--black);
  text-decoration: none;
  width: 100%;
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 8px;
    height: 8px;
    top: 5px;
    left: 0;
    margin: auto;
    transform: rotate(45deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--rbusinesscard-primary);
    border-right: 2px solid var(--rbusinesscard-primary);
  }
  &:hover {
    color: var(--rbusinesscard-primary);
  }
  @media screen and (max-width: 840px) {
    padding: 0 0 0 12px;
    font-size: 12px;
    &::before {
      width: 6px;
      height: 6px;
      top: 4px;
    }
  }
}

.l-footer-nav-link-sub {
  display: flex;
  flex-wrap: wrap;
  gap: 0 20px;
  padding: 0 0 0 15px;
  & > .l-footer-nav-link-item__link {
    margin: 7px 0 0;
  }
}
.l-footer-nav-link-sub-item {
  margin: 7px 0 0;
}
.l-footer-nav-link-sub-item__link {
  position: relative;
  display: block;
  font-size: 12px;
  padding: 0 0 0 10px;
  color: var(--black);
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 6px;
    height: 6px;
    top: 3px;
    left: 0;
    margin: auto;
    transform: rotate(180deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--gray-08);
    border-right: 2px solid var(--gray-08);
    @media screen and (max-width: 840px) {
      width: 5px;
      height: 5px;
    }
  }
  &:hover {
    color: var(--rbusinesscard-primary);
  }
  @media screen and (max-width: 840px) {
    font-size: 10px;
    padding: 0 0 0 10px;
  }
}

.l-footer-nav-cta {
  display: flex;
  justify-content: center;
  text-align: center;
  flex-wrap: wrap;
  gap: 20px;
  margin: 30px 0 0;
  @media screen and (max-width: 840px) {
    gap: 10px;
  }
  .c-button-sub {
    @media screen and (max-width: 840px) {
      padding: 15px 30px 12px 20px;
    }
  }
}
